CREATE TABLE "tracked_playlist"
(
    rule_id               UUID         NOT NULL PRIMARY KEY, -- Internal ID
    playlist_id           UUID,                              -- UUID of the playlist in subsonic
    playlist_name         VARCHAR(250),                      -- Name of the playlist in subsonic
    playlist_size         INT          NOT NULL,             -- Max number of tracks to populate
    tracking_user         VARCHAR(250) NOT NULL,             -- User to track stats for
    tracking_type         VARCHAR(14)  NOT NULL,             -- Matches time period params from listenbrainz
    reduce_duplication_on VARCHAR(250)                       -- Allow e.g preferring songs from different albums or artists
);
